﻿/* CSS Document */
.media-logo {
    display: flex;
}

.logo {
    height: var(--logo-height);
    margin: var(--logo-margin);
    position: relative;
    z-index: 1;
}

.Watermark {
    display: var(--logo-Watermark);
    position: relative;
}

.logo-Watermark {
    position: absolute;
    top: var(--logo-Watermark-top);
    left: var(--logo-Watermark-left);
    width: var(--logo-Watermark-width);
    z-index: 90;
}

header .media-logo .container {
    width: calc(100% - 0px);
}

.top-icon {
    color: var(--top-icon);
    font-size: 1em;
    letter-spacing: 0.1em;
    justify-content: flex-end;
    align-items: flex-start;
    display: inline-flex;
    height: 50px;
    line-height:50px;
}

    .top-icon a {
        color: var(--top-icon);
    }

    .top-icon i,
    .top-icon span {
        color: var(--top-icon);
    }

    .top-icon span {
        margin-left: 2px;
    }

    .top-icon i {
        font-size: 1.3em;
    }

    .top-icon li {
        position: relative;
    }

.header-ShoppingCart::after {
    content: "｜";
    display: inline-flex;
    margin: 0 -5px 0 -8px;
}

.header-username {
    display: inline-flex;
}

.top-icon i.fa-sign-out-alt {
    margin-left: 5px;
    font-size: 1.1em;
}

.top-icon li:hover {
    cursor: pointer;
}

.top-icon .fa-shopping-cart {
    margin-right: 10px;
}

.top-icon .fa-user-circle {
    padding-left: 5px;
}

.login-drowdown li:first-child {
    display: none;
}

.login-drowdown li:last-child {
    top: 0;
}

.top-icon .amount {
    color: #ffffff;
    position: absolute;
    top: 4px;
    left: 15px;
    width: 18px;
    height: 18px;
    border-radius: 50%;
    background-color: red;
    font-size: 10px;
    text-align: center;
    line-height: 18px;
}

.header-iconlist_box {
    width: 100%;
    position: absolute;
    top: 55px;
}

.header-iconlist {
    justify-content: flex-end;
    display: flex;
}

.temperature {
    font-size: 0.9em;
    margin-top: -1px;
}

.area {
    min-width: 70px;
    font-size: 12px;
    margin: -4px 5px 0 0;
    top: 13px;
}

.header-iconlist li {
    width: 30px;
    margin: 0 3px;
}

    .header-iconlist li:hover,
    .icon-live:hover {
        cursor: pointer;
    }

    .header-iconlist li.weather {
        cursor: default;
        width: auto;
        margin-right: 4px;
        padding-left: 5px;
        color: #fff;
        flex-direction: row;
        display: inline-flex;
        height: 30px;
        background-color: #298684;
        border-radius: 5px;
    }

.weather div {
    flex-direction: column;
    display: inline-flex;
}

.weather img {
    margin-right: 8px;
    width: 25px;
}

.icon-live {
    background: var(--icon-live);
    width: 30px;
    height: 30px;
    margin-left: 5px;
    background-repeat: no-repeat;
    background-size: 30px auto;
}

.headericon {
    width: 30px;
    height: 30px;
    background-image: var(--headericon-img);
    background-repeat: no-repeat;
    background-size: auto 100%;
}

    .headericon a,
    .icon-live a {
        width: 30px;
        height: 30px;
    }

        .headericon a:hover {
            background-image: url();
        }

.icon-fb {
    background-position: 0 0;
}

.icon-ig {
    background-position: -30px 0;
}

.icon-yt {
    background-position: -60px 0;
}

.icon-calendar {
    background-position: -90px 0;
}

.icon-baodao {
    background-position: -120px 0;
}

.icon-line {
    background-position: -210px 0;
}

.toggle,
[id^="drop"] {
    display: none;
}

nav {
}

    nav:after {
        content: "";
        display: table;
        clear: both;
    }

    nav ul {
        justify-content: var(--nav-ul-content);
        display: flex;
        padding: 0;
        margin: 0;
        list-style: none;
        position: relative;
    }

        nav ul li {
            margin: 0px;
            display: inline-block;
            float: left;
        }

    nav a {
        display: block;
        padding: 6px 10px 6px 22px;
        letter-spacing: 0.2em;
        transform: scaleY(1.2);
    }

    nav .menu a:hover {
        transition: all 0s;
        -webkit-transition: all 0s;
        -moz-transition: all 0s;
        -ms-transition: all 0s;
        background: var(--nav-a-hover-background);
        background-size: 20px auto;
        background-repeat: no-repeat;
        background-position: left center;
        color: var(--nav-a-hover-color);
    }

    nav ul ul {
        display: none;
        position: absolute;
        padding: 14px 7px;
        top: 35px;
    }

        nav ul ul a,
        nav a {
            white-space: nowrap;
        }

        nav ul ul a {
            padding: 6px 20px;
            transform: scaleY(1);
            color: #fff;
        }

    nav .menu ul a:hover {
        background-image: url();
        color: #d8a711;
    }

    nav ul li:hover > ul {
        z-index: 11;
        display: inherit;
    }

    nav ul ul li {
        float: none;
        display: list-item;
        position: relative;
    }

header {
    position: relative;
}

/* shopping-cart-menu */
.shopping-cart-menu {
    width: 280px;
    position: absolute;
    right: -8px;
    top: 20px;
    z-index: 10;
}

    .shopping-cart-menu ul {
        width: 100%;
        height: 100%;
        margin-top: 10px;
        background: rgba(255, 255, 255, 0.95);
    }

.shopping-cart-menu {
    display: none;
}

.shopping-cart-but:hover .shopping-cart-menu {
    display: block;
}

.shopping-cart-menu li > a {
    width: 100%;
    display: inline-flex;
}

.shopping-cart-menu .image-container {
    width: 23%;
    padding-bottom: 23%;
}

    .shopping-cart-menu .image-container img {
        position: absolute;
        top: 0;
        left: 0;
        width: 100%;
        height: 100%;
        object-fit: cover;
    }

.shopping-cart-menu li {
    display: block;
    margin-bottom: 0;
    padding: 5px 5px 0 5px;
    border-left: 1px solid #b8b8b8;
    border-right: 1px solid #b8b8b8;
}

    .shopping-cart-menu li:first-child {
        border-top: 1px solid #b8b8b8;
    }

    .shopping-cart-menu li:last-child {
        border-bottom: 1px solid #b8b8b8;
    }

    .shopping-cart-menu li:not(:last-child) {
        border-bottom: 1px dotted #bfbfbf;
    }

    .shopping-cart-menu li:not(:first-child)::before {
        content: "";
        padding-right: 0;
    }

.shopping-cart-menu-goods {
    padding-left: 5px;
    width: 62%;
}

.shopping-cart-menu-amount {
    width: 15%;
    font-size: 15px;
    text-align: right;
    color: #000000;
    line-height: 50px;
}

.menu-shop-name {
    width: 100%;
    font-size: 13px;
    color: #000000;
    height: 35px;
    display: -webkit-box;
    -webkit-line-clamp: 2;
    -webkit-box-orient: vertical;
    overflow: hidden;
    text-overflow: ellipsis;
}

.shopping-cart-menu li a:hover .menu-shop-name {
    color: #086dc3;
}

.menu-shop-price {
    width: 100%;
    font-size: 16px;
    color: #ff004e;
    padding-top: 3px;
}

@media all and (max-width: 1200px) {
    header {
        top: 0;
        z-index: 99;
        width: 100%;
        position: fixed;
    }

    .top-bg {
        margin-top: -26px;
    }

    .media-logo {
        width: calc(100% - 65px);
        height: 85px;
        position: absolute;
        align-items: center;
        display: inline-flex;
        padding-left: 2.5%;
    }

    .logo {
        height: var(--logo-height);
    }

    .top-icon {
        width: 100%;
    }

        .top-icon li:nth-child(3) {
            top: 28px;
            right: -1px;
        }

        .top-icon a {
            color: var(--top-icon--i);
        }

        .top-icon i {
            color: var(--top-icon--i);
            font-size: 2em;
            top: 20px;
        }

    .header-ShoppingCart::after,
    .header-UserName::after {
        content: "";
    }

    .fa-sign-out-alt,
    .login-drowdown {
        display: none;
    }

    .header-username:hover .login-drowdown {
        display: block;
        z-index: 1;
    }

    .login-drowdown {
        text-align: center;
        position: absolute;
        width: 90px;
        top: 65px;
        left: -23px;
        background: var(--top-icon--i);
        border-radius: 5px;
        padding: 5px 0px;
    }

        .login-drowdown li {
            padding: 2px 0;
        }

        .login-drowdown::before {
            position: absolute;
            content: "";
            top: -8px;
            left: 38px;
            width: 12px;
            height: 9px;
            background: var(--top-icon--i);
            -webkit-clip-path: polygon(0% 100%, 50% 0%, 100% 100%);
        }

        .login-drowdown a {
            color: #ffffff;
        }

        .login-drowdown li:first-child {
            display: block;
        }

    .top-icon .fa-user-circle {
        right: 0;
        padding-top: 22px;
        padding-bottom: 15px;
    }

    .top-icon .fa-shopping-cart {
        padding-top: 21px;
    }

    .top-icon .amount {
        top: 15px;
        left: 22px;
        width: 20px;
        height: 20px;
        font-size: 12px;
        line-height: 20px;
    }

    .top-icon span {
        display: none;
    }

    .top-icon .header-username {
        display: inline-flex;
    }

    nav:after {
        height: 0px;
    }

    nav a {
        padding: 6px 5px 6px 5px;
        font-size: 1.2em;
        transform: scaleY(1);
        text-align: center;
        margin: auto;
    }

    nav .menu a:hover {
        background-image: url();
    }

    .toggle + a,
    .menu {
        display: none;
    }

    .header-iconlist_box {
        display: none;
    }

    .toggle {
        font-size: 1.2em;
        letter-spacing: 0.2em;
        text-align: center;
        display: block;
        text-decoration: none;
        border: none;
        padding: 6px 0px;
    }

        .toggle:hover {
            cursor: pointer;
        }

    .nav-menu {
        float: right;
        font-size: 1em;
        letter-spacing: 0em;
        color: var(--nav-menu);
        text-align: right;
        margin: 15px 15px 15px 0;
    }

        .nav-menu div {
            background: var(--nav-hamburger);
            margin: 5px 0;
            width: 40px;
            height: 2px;
        }

    [id^="drop"]:checked + ul {
        width: 100%;
        display: block;
    }

        [id^="drop"]:checked + ul + div {
            display: flex;
        }

    .menu nav ul {
        padding-top: 5px;
    }

    .menu li:first-child {
        padding-top: 10px;
        border-top: var(--nav-border);
    }

    .menu li:last-child {
        padding-bottom: 10px;
    }

    .menu li li:first-child {
        padding-top: 0px;
        border-top: 0px;
    }

    nav ul li {
        position: relative;
        justify-content: center;
        display: block;
        width: 100%;
    }

    .menu li.plus:after {
        color: var(--menu-plus-color);
        content: " +";
        font-size: 1.2em;
        padding: 5px 15px 5px 15px;
        position: absolute;
        top: 6px;
        right: 30px;
        z-index: 2;
    }

    .menu li:first-child:after {
        top: 16px;
    }

    nav ul ul {
        background: var(--nav-ul-background);
        padding: 10px 7px;
    }

        nav ul li ul li .toggle,
        nav ul ul a {
            color: var(--nav-ul-fontcolor);
        }

        nav ul ul a {
            padding: 3px 20px;
        }

    nav ul ul {
        float: none;
        position: static;
    }

        .menu li a:after:hover,
        nav ul ul li:hover > ul,
        nav ul li:hover > ul {
            display: none;
        }

        nav ul ul li {
            display: block;
            width: 100%;
        }

    .menu li a:after {
        display: inline-block;
    }

    .header-iconlist_box {
        position: static;
    }

        .header-iconlist_box .container {
            width: 100%;
        }

    .header-iconlist {
        border-top: var(--nav-border);
        padding: 20px 0;
        justify-content: center;
        display: flex;
    }

        .header-iconlist li:not(:first-child) {
            margin: 0 3px;
        }

    .shopping-cart-but:hover .shopping-cart-menu {
        display: none;
    }
}

@media all and (max-width: 550px) {
    .header-iconlist li.weather {
        display: none;
    }
}
